# 10.3. Balises Spéciales

NOTE : La documentation suivante est tirée de la documentation fournie avec KDoc , écrite par Sirtaj S. Kang taj@.kde.org), l'auteur de KDoc ; Copyright (c) 1997

La documentation est composée de :

- Texte normal. Les paragraphes doivent être séparés par au moins une ligne vide.

- Texte de la forme

         1 &<;pre&>;
         2 .....morceaux de code....
         3 &<;/pre&>;

- Différentes balises de la forme :

       @nombalise [balise paramètres]

Les balises valides pour chaque type d'entité de code source sont :

- Classes

         @short [une phrase de texte]
       	Une description brève de la classe
         @author [une phrase de texte]
       	Auteur de la classe
         @version [une phrase de texte]
       	Version de la classe (Généralement, j'utilise la valeur "Id" de RCS/CVS)
         @see [une ou plusieurs références à des classes ou méthodes]
       	Références à d'autres documentations

- Méthodes

         @see
       	comme ci-dessus
         @return [une phrase]
       	Une phrase décrivant la valeur de retour
         @param [paramètre nom identificateur] [paramètre description]
       	Décrit un paramètre. La description du paramètre peut utiliser
       	plusieurs lignes et se termine par une ligne vide, la fin du
       	commentaire, ou une autre entrée de paramètre. Pour cette raison,
       	les entrées de paramètre devraient être la fin du commentaire.

- Constantes, Énumérations, Propriétés

         @see
       	comme ci-dessus

- Voir aussi `@ref` Contrairement au format javadoc, la méta-balise "@ref" a le même format que @see mais peut être utilisée n'importe où dans la documentation (toutes les autres balises doivent apparaître sur des lignes différentes).